/ Compile to (sp)
/ No fpp.

% table stab
% LOD
% dc,dn
	PC2
	PC

% da,dn
	mov	AL2,-(sp)
	mov	AL,-(sp)

% NEG
% dn,dn
	GLAB
	PL
	ZL
	beq	L0
	add	$100000,(sp)
L0:
	PLAB

% ADD
% SUB
% MUL
% DIV
% dn,dn
	PL
	PR
	jsr	pc,_fOP0

% ASG
% dn,dn
	PR
	SLAA	/ r0
	mov	2(sp),AL2
	mov	(sp),AL

% ie,dn
% ce,dn
	PR
	SLA
	mov	2(sp),r1
	mov	(sp),r0
	jsr	pc,_fix
	movTL	r1,AL

% in,dn
% cn,dn
	PR
	PLA
	mov	4(sp),r1
	mov	2(sp),r0
	jsr	pc,_fix
	movTL	r1,*(sp)+

% le,dn
	PR
	SLA
	mov	2(sp),r1
	mov	(sp),r0
	jsr	pc,_fix
	mov	r0,AL
	mov	r1,AL2

% ln,dn
	PR
	PLA
	mov	4(sp),r1
	mov	2(sp),r0
	jsr	pc,_fix
	mov	r0,*(sp)
	add	$2,(sp)
	mov	r1,*(sp)+

% ADA
% SBA
% MUA
% DVA
% de,dn
	SLA
	PL
	PR
	jsr	pc,_fOP0
	mov	2(sp),AL2
	mov	(sp),AL

% dn,dn
	SLAA	/ r0
	mov	r0,-(sp)
	PL
	PR
	jsr	pc,_fOP0
	mov	4(sp),r0
	mov	2(sp),4(sp)
	mov	(sp)+,(sp)
	mov	2(sp),2(r0)
	mov	(sp),(r0)

% le,dn
	SLA
	mov	AL2,r1
	mov	AL,r0
	jsr	pc,_float
	mov	r1,-(sp)
	mov	r0,-(sp)
	PR
	jsr	pc,_fOP0
	mov	2(sp),r1
	mov	(sp),r0
	jsr	pc,_fix
	mov	r1,AL2
	mov	r0,AL

% ie,dn
% ce,dn
% eis
	SLA
	movTL	ALN,r1
	sxt	r0
% else
	GLAB
	SLA
	clr	r0
	movTL	ALN,r1
	bpl	L0
	com	r0
L0:
	RLAB
% end
	jsr	pc,_float
	mov	r1,-(sp)
	mov	r0,-(sp)
	PR
	jsr	pc,_fOP0
	mov	2(sp),r1
	mov	(sp),r0
	jsr	pc,_fix
	movTL	r1,AL
